//************************
// x86GP2 0.881
//************************
- fullscreen options added to the menu too
- opposite lock setting not being saved fixed


//************************
// x86GP2 0.88
//************************
- FULL RACE REPLAY OPTION:
	- WARNING:  This means that during gameplay, the replay always starts from the beginning of the race.
				Only use this if you want to watch your whole race back and never want to use replay during it.
	- Replay speed increased to 64x max
	- Pressing ESC during a replay will wind you to the end as fast as possible (not a new feature, just not well known)

- NEW FULLSCREEN SETTINGS:
	- vid_fullscreen				0 = windowed | 1 = fullscreen | 2 = borderless fullscreen
	- vid_alwaysStartWindowed		0|1
	- Fullscreen toggle is Windows standard ALT-ENTER

- onboard rain directions fixed in lookaround views


//************************
// x86GP2 0.852
//************************
- fixed an issue with high-fps damage scaling affecting 25.6 fps too


//************************
// x86GP2 0.851
//************************
- sky and LCD visual glitches fixed


//************************
// x86GP2 0.85
//************************
- FORCE FEEDBACK: compatibility with GPLaps' FFB app has been added, available at https://github.com/gplaps/GP2FFB


//************************
// x86GP2 0.82
//************************
- WORKING TELEMETRY


//************************
// x86GP2 0.8
//************************
- [EXPERIMENTAL] HIGH-FPS MODE [EXPERIMENTAL]
	A new option has been added: "game logic fps"
	You can now either set it to 25.6 or 128. 25.6 being the original behaviour and 128 being the new option. Changing this option requires a restart.
	It will also automatically change your replay method as it would desync with the original.
	
	Q: Is that the same thing as changing the fps to 128 with an fps patcher?
	A: Yes.

	Q: Why 128? Why didn't you pick something more reasonable like 51.2 or 64?
	A: The AI is batshit crazy between 28 and 64 fps. It starts to appear more normal at 85.
	   I don't know if the higher, the better tendency continues but 128 is a nice number and 256 starts glitching in other ways. (That's the maximum)

	Q: Isn't that way too high? How are we supposed to run GP2 at that framerate? I'll be driving in 2x slow motion!
	A: Right. That's why there's another new setting: "render fps" which you can set to 32, 42.6, 51.2, 64, 85.3 or 128 fps.
	   99.9% percent of GP2's processing power goes into rendering. Running the game logic 128 times a second is a non-issue and we don't
	   have to render every one of those frames. You can divide 128 by your selected fps to see how many frames it skips for rendering.
	   I recommend one that divides evenly for the smoothest experience but it's probably not that noticable.

	Q: So does the game play normally now at high fps?
	A: I don't actually know as I haven't done any actual racing apart from watching the AI but nothing terrible seems to be happening. (At least in the dry,
	   rain could be a whole other story). I've been ironing out many issues to make it playable but my guess is it's always going to be passable at best
	   and I reckon the experimental tag is permanent, but it's one of those things people would like to have even if it's not perfect. It's possible that
	   player input in a race affects the AI and many of the problems don't arise just by watching them race. Maybe if you don't look closely at what the AI
	   does behind your back and just accept some weirdness as a regular accident, it's going to be ok. One thing is sure, I haven't experienced a Spa 1998
	   type trainwreck with this new mode but I suspect the AI will do something very weird occasionally. I don't know, you tell me!

	Q: So I set up a good render fps that my computer can handle but I still ended up in slow motion when I went off the track, why?
	A: GP2 activates extra calculations as you're nearing a barrier, probably getting ready for a possible collision/crash. This is actually
	   one of the reasons why Monaco is so heavy on performance. It's not just because of the extra geometry.

	Q: But why can't x86GP2 run GP2 at infinite speed when I can run GP4, Assetto Corsa Competizione, Automobilista 2 and F1 2025 simultaneously at 666 fps? It's a 30 year old game, FFS!
	A: You're running GP2 only as much faster as your CPU's raw clock speed has improved over the last 30 years but that's not the only reason why modern computers are so fast.
	   Since 1996, new instruction sets, multithreading and hardware graphics acceleration have been introduced. GP2 uses none of that. It runs “classic” x86 instructions
	   on a single core with no hardware acceleration so the only boost it gets is from higher clock speed. If that's not enough, GP2's software renderer doesn't seem to be
	   one of the more efficient ones. From anecdotal evidence, the average person didn't even start maxing out GP2 until the early 2000's. Then also take the new features into account.
	   Widescreen instantly doubles the occupancy. The mirrors are also fully rendered now like the forward view. Carshape distance is also maxed out.
	   
	   On top of that, x86GP2 has to copy 4 screen buffers to the GPU every frame. CPU–GPU data transfer is slow if you do it frequently, it's meant for occasional uploads, not every frame.
	   Normally, you'd upload your data once at startup and let the GPU handle rendering, but with a software renderer, that's not possible. This amount of constant CPU-GPU transfer requires
	   at least a decent CPU and a decent GPU to run at an acceptable speed or to run at all and it just worsens the higher you set the fps. Your 2010 laptop is not going to cut it.
	   
	Q: Now we have 3 fps settings, any tips for setting them up?
	A: No, we have 4 now. I've added "sent fps" which shows how many times your computer manages to upload the screen buffers every second. Sorry for the stupid
	   names but I wanted to keep to 4 characters now for symmetry. If you don't recall, CTRL+F1 brings up the video diagnostics window. So make sure your computer
	   can produce more "sent fps" and "prog fps" (which is the X86GP2's wrapper/overlay/program's fps) than your selected "rend fps".

	Q: When I switch to external view, my "sent fps" goes up to 128 and the whole game becomes very smooth but it can't keep up with it in cockpit view, why?
	A: That's because the external view only requires 1 screen buffer per frame while the cockpit view requires 4. (widescreen = 2, mirrors = 1, LCD screen = 1)

	Q: But didn't the original game render everything onto 1 screen buffer even in cockpit view? Why did you have to change that?
	A: Correct, I could've kept that and gone with a DOSBox vibe but complementing the game with new features has been my plan from day 1.
	   Doing widescreen without modifying the renderer required multirendering. If the cockpit is in the frame, the image is unusable for that so the original
	   cockpit rendering had to go and x86GP2 draws the cockpit externally over the game but now that also meant that I needed another render for the mirrors and the LCD screen
	   so that's another 2 buffers. I hope most people agree that it was worth it even if it worsens the performance. In the future I'm planning to recreate the LCD screen externally
	   since I know all the values for it in the memory which means 1 less screen buffer. You can also turn off widescreen to reduce it down to 3.

	Q: I know GP2's damage model is very inconsistent but I feel like I can take bigger hits without any damage. Am I imagining it or is there something to this?
	A: Damage is magnified with more fps so I'm trying to scale it back but it's either too much or too little so I'd rather err on the safe side than risk your
	   car literally fall apart just because you went onto the grass but it's also hard to tell because of its inconsistent nature.

	Q: Does the car drive the same at 128 fps as at 25.6?
	A: Probably not. Probably nothing is the exact same.

	Q: If I find fps related bugs, can you fix them?
	A: If it's AI related, most certainly not. There are other issues which might be more fixable like only one side backfires, the TV zoom is too fast,
	   the cleaning hand is too slow and also things that used to work but this feature broke somehow.


//************************
// x86GP2 0.771
//************************
- small fixes


//************************
// x86GP2 0.77
//************************
- rewritten cloud generation (don't get your hopes up, it's never going to look good)
- improved rain visuals
- statistical random weather always resulting in rain fixed
- here I would also like to clarify the weather settings:
	- RANDOM: Completely random. You have the same chance of monsoon as a sunny day. This is not how real weather patterns work though.
	- REALISTIC RANDOM: Weighted towards dry weather just like real weather for an average F1 track.
	- STATISTICAL RANDOM: Similar to realistic random but actually takes the weather statistics of the selected track into account.
		- NOTE: This only works for the original tracks by default. For custom tracks, you have to assign the percentages in the cfg. (See Spa 2009's config)
				If it's not present, this setting just silently reverts back to realistic random.

	IMPORTANT TIP: If you have the weather changing per session, the pre-race warmup will still have the same weather as the race,
				   otherwise it would be too unfair and impossible to select the right tyres for the race.


//************************
// x86GP2 0.762
//************************
- more loading fixes


//************************
// x86GP2 0.761
//************************
- important hotfix: last release broke save file loading


//************************
// x86GP2 0.76
//************************
- NEW CFG: enginesounds.cfg unique to every enginesounds folder
	- if not provided, the default values will be used
	- meaning of pitch: 1.0 = original pitch of the audio file
	- parameters with the default values:
		idle_fadeInStartRpm 0
		idle_fadeInEndRpm  1
		idle_fadeOutStartRpm 3001
		idle_fadeOutEndRpm 5000

		low_fadeInStartRpm 0
		low_fadeInEndRpm 1
		low_fadeOutStartRpm 6000
		low_fadeOutEndRpm 9000

		high_fadeInStartRpm 6000
		high_fadeInEndRpm 8000
		high_fadeOutStartRpm 0
		high_fadeOutEndRpm 0

		low_minRpm 0
		low_maxRpm 9000
		low_minPitch 0.1
		low_maxPitch 0.938

		high_minRpm 6000
		high_maxRpm 15000
		high_minPitch 0.5
		high_maxPitch 1.2

- IMPORTANT TIP: If you're starting a long and important race, save the race while you're on the starting grid. There's a bug that
		 sometimes causes AUTOSAVE.QRL not to be saved at race starts. The gamestate is still dumped every lap, all the
		 QRL is needed for is the basic setup for the race. If the game crashes and AUTOSAVE.QRL is an older file, you can just
		 rename your save to AUTOSAVE.QRL and the autosave will load properly.
- generic fixes


//************************
// x86GP2 0.753
//************************
- another custom engine sound loading hotfix


//************************
// x86GP2 0.752
//************************
- custom engine sound loading hotfix


//************************
// x86GP2 0.751
//************************
- important hotfix: last release broke save file loading


//************************
// x86GP2 0.75
//************************
- ONBOARD CAMERA DEFINITIONS: cameras.cfg in the carshapes folder (not a requirement)
- CUSTOMISABLE ENGINE SOUNDS:
	- engine sounds go into content/enginesounds/the_name_of_your_engine_folder/
	- the directory has to contain the following files:
		- engine_start.wav
		- engine_idle.wav
		- engine_low.wav
		- engine_high.wav
		- downshift#1.wav, downshift#2.wav, downshift#3.wav
	- idle, low and high have to loop seamlessly
	- NEW TAD OPTION: engine_sound
- generic fixes and improvements


//************************
// x86GP2 0.74
//************************
- NATIVE JAD LOADING
- VISUALLY EDITABLE COCKPIT COLOURS
	- TIP: I'd make a backup of the TAD file if I were you before saving the colours to it until it's established that it doesn't mess up any value in the TAD file because as usual, I've only tested it superficially.
- DISABLE TIME ADJUSTMENT aka TRUE LAP TIME:
	- GP2 makes its in-game time tick slower or faster than real time depending on the value in the magic data. This was done so that the
	  in-game lap times match their real world counterpart more closely so you can feel like you're actually chasing Senna's lap record.
	  This may have lost relevance to some people 30 years after release who might prefer having the actual real world lap times instead without messing with the magic data.
	  Custom tracks never adjusted this for themselves, they just used the value in one of the slots that was made for one of the original tracks.
- generic fixes and improvements


//************************
// x86GP2 0.725
//************************
- issue with livery id with custom liveries fixed
- generic fixes


//************************
// x86GP2 0.721
//************************
- no refuelling fix
- WARNING: Without refuelling you have to make extra sure that the fuel consumption magic number for the track is extra accurate
		   otherwise you could end up with cars finishing with too much fuel or running out of fuel during the race.


//************************
// x86GP2 0.72
//************************
- NEW TAD OPTIONS: 
	- REFUELLING: refuelling 1 (on) or 0 (off), (refueling also works)

	- [EXPERIMENTAL] TEAM DEPENDENT WEIGHT:
		- If you're not interested, you can just keep having car_weight_lbs (_kg) in the TAD header and that's it.

		- If you're interested, car_weight_lbs (_kg) in the header becomes the default weight.
		  Use team_weight_lbs (_kg) to assign a team a unique weight. Once it's used, team dependent weight is turned on.
		  Teams without it will automatically get assigned the default weight.
		
		- Here's the catch:
		  Team weight is adjusted for the cars the same way the weight of the fuel is added.
		  GP2 also uses a baseline weight for some physics calculations.
		  If you're not using team dependent weight, car_weight_lbs (_kg) is also the baseline weight.
		  If you use team dependent weight, x86GP2 will default to the default baseline weight (1313) for simplicity and consistency, and will adjust the car weight relative to that.
		  The problem is if you have one TAD with a global weight setting of 1000 lbs and another one where 1000 lbs is just one of the team's weight, they won't perform the same.
		  For example Zanardi does 1:38.601 with a baseline of 1313 lbs, 1:32.937 with a baseline of 1000 lbs BUT 1:34.018 with a team weight of 1000 lbs and a baseline of 1313 lbs.
		  If that's not satisfactory for you, I've added baseline_weight_lbs (_kg) that you can include in the TAD header for further adjusment.



//************************
// x86GP2 0.71
//************************
- fixes


//************************
// x86GP2 0.70
//************************
- changable player grip added (this is "Grip Factor" from GP2Edit)
- changable human grip added (this is "Human Grip" from rremedio's editor)

- "EXPLANATION":
	- "player grip/grip factor" is used in the player's rear wheel calculations. I don't know what it does exactly.
	- "human grip" is actually the surface grip of the asphalt, it's not a player only value but it affects the AI cars much less than the player.
	   In the past, without deep scrutiny, people were satisfied with this value as "human grip". For this release I've actually seperated it from the AI.
	- INFO: I'm keeping the naming for legacy reasons.
	- TIP: You can also use "human grip" as a skill slider. If you're too good and you can't raise the AI level any more, you can just lower "human grip" to equalise things.
		   People find x86GP2 easier to drive than the original but raising the AI level more would result in lap times faster than real world times so this might be a good compromise.
	- POTENTIAL ISSUE: The grip values get saved into the new .x86 save files so saved games should continue with the right grip values but hot laps will probably get messed up if you load one with different values.


//************************
// x86GP2 0.66, 0.67, 0.68
//************************
- custom championship hotfixes


//************************
// x86GP2 0.65
//************************
- [BETA] CUSTOM CHAMPIONSHIP LOADING
	WARNING: Not tested at all! Could be a mess!
- custom track loading split times fix
- other itsy-bitsy fixes


//************************
// x86GP2 0.62
//************************
- new track cfg commands: default_magic_data_to_cfg, slot_override, lap_override (for more detail, check out Spa_2009's cfg)
- custom track loading fixes


//************************
// x86GP2 0.61
//************************
- custom track loading lap count fix
- custom track loading crashes fix


//************************
// x86GP2 0.6
//************************
- [BETA] SINGLE RACE CUSTOM TRACK LOADING (no championships yet)
	- Copy the "CONTENT" folder into your GP2 directory. Spa 2019 is shipped as an example track.
	AGAIN: The assumption is that your exe contains the default magic data but I'm not going to check
		   it and force it in the transitional period until everything is moddable and stable,
		   just keep in mind that if you end up with weird mismatches, that might be the reason.
	PRO TIP: Don't switch to custom track view if you have Pacific or Australia selected. :)
	WARNING: Only superficially tested. This is always true but with this feature even more so as
			 I can't think of every use case and go through all the tracks.


//************************
// x86GP2 0.56
//************************
- track overlay available in cockpit view
- helmets and starting grid hotfix


//************************
// x86GP2 0.55
//************************
- [BETA] TAD (teams & drivers) format released for modding. It can be loaded under x86GP2 Options -> MODDING.
	- Copy the "CONTENT" folder into your GP2 directory.
	- If you want to start modding, don't modify the 1994_x86GP2 directory. Create a copy of it and rename it.
	- The name of the directory and the .tad file has to match.
	IMPORTANT: In the future the assumption will be that the default data from the exe and the assets is the actual vanilla data.
			   I'm not going to check it and force it in the transitional period until everything is moddable and stable,
			   just keep in mind that if you end up with weird mismatches, that might be the reason.

- TV-style starting grid
- if a GP2 path is not defined by the user, the program will now look for the game in the same directory where the x86GP2 exe is
- generic fixes and improvements


//************************
// x86GP2 0.52
//************************
- RESTORE GAMESTATE: In case of a replay desync, you can now restore the gamestate from the moment you paused the game.
  IMPORTANT: If you notice the replay desyncing, it's important not to unpause and let the game go on at the end of the replay
  as that would make you lose the pre-desynced gamestate. Just wait until the replay finishes and the game shows PAUSED,
  then right click and select "Restore Gamestate".
  NOTE: Unfortunately you won't see the change happening as there is no rendering while the game is paused
  so the sudden switch back when you unpause the game could be jarring.

- AUTOSAVE: For the dire event of a crash. :(
  I couldn't make the game save seamlessly through its normal saving procedure without serious hiccups
  and I didn't want to spend time on trying to reproduce the original format myself so I came up with a workaround.
  When a race starts, the game will automatically save an AUTOSAVE.QRL file when a hiccup doesn't matter yet and that's the only time
  it will do it, then when you cross the line every lap (or the race leader if you're out), I dump the gamestate from memory into the AUTOSAVE.SAV file.
  (There's also an AUTOSAVE.QRL.x86 file for new settings but that's present with every save you do.)
  NOTE: The autosave file will always have the QRL extension regardless of the race mode.
  When you load AUTOSAVE.QRL, the game will recognise it's the autosave file and also load the gamestate from AUTOSAVE.SAV and
  in theory it should just work and you shouldn't really notice anything from the workaround. Just keep in mind that you can't just
  copy out AUTOSAVE.QRL and use it as a regular save file. Load it and save it through the menu in that case.

- generic fixes and improvements


//************************
// x86GP2 0.51
//************************
- NEW CRASH REPORT: Due to the increased number of crashes since 0.5, there's a new crash report appearing in the console that you can send in.
- I've identified and fixed one cause for the crashes but I don't know if it was responsible for all the crashes or there are multiple culprits.
- NOTE: Please don't report the telemetry crashing, I'm aware of that.


//************************
// x86GP2 0.5
//************************
- WEATHER SYSTEM with
	- new visuals and self-adopting grip levels
	- weather 0 = completely sunny, 100 = monsoon

	- NOTE: TV Window is not yet compatible with weather

- player HP can now be set to team dependent
- new setting: "random seed on startup"
- "low quality" option for tyre branding, vid_displayTyreBrand 2 in the config
- generic fixes and improvements


//************************
// x86GP2 0.46
//************************
- tyre wear is now visually represented by the tyre's colour getting lighter in cockpit view
- the LCD screen not updating properly with the TV Window open fixed
- the branding on the tyre can now be turned off
  - if you've been experiencing a crash on start-up since v0.4 but previous versions worked fine, try changing vid_displayTyreBrand in the config to 0
- by popular demand the main menu music is now playing if you have it in the SOUND folder
  - (there are 2 different songs with and without sound effects, if anyone knows when the others play, let me know)
- generic fixes


//************************
// x86GP2 0.45
//************************
- improved replay controls
- ESC will wind you to just before the end of the replay

- [EXPERIMENTAL] adjustable replay length
	- I think this is the minimum replay length, the actual length can end up double of this (or even triple?).
	- If you're loading an in-game save file, don't press replay until the same amout of time has passed
	  as the length in the save file(?) or your current setting(?), otherwise the replay will desync.
	- Other repercussions are also possible and the above-mentioned can be incorrect too, in-depth testing needed.
	- If you're not interested in longer replays and the issues that come with it, the original replay method is still selectable.
	- Changing the method requires a restart, changing the length shouldn't(?)

- FOV and sound issue with the TV Window fixed, enjoy watching yourself race while you race!
- improved front wing (thanks to Netta Heikkinen)
- generic fixes and improvements


//************************
// x86GP2 0.41
//************************
- the crash occuring when checking out the race results at the end of long races fixed
- path length increased to Windows standards (256 characters) which caused cut off filenames and missing textures
- lower case letters fixed
- broadcast timing info not collected in cockpit view fixed
- split time logic fixed
- brake ducts adjusted
- generic fixes and improvements


//************************
// x86GP2 0.4
//************************
- I wish everyone a good year!
- new brake ducts (thanks to Netta Heikkinen)
- reworked, more realistic struts to fit the brake duct (alas most of it is actually hidden in a realistic cockpit view)
- interactive track layout added
- hovering over the blobs will temporarily show their information, clicking on them will switch to their view
- broadcast-style information about the car in view added
- broadcast-style timing page added
- pressing backspace will return you to your cockpit
- generic fixes


//************************
// x86GP2 0.35
//************************
- improved vanilla steering wheel (thanks to Netta Heikkinen)
- scaling issue with less common aspect ratios fixed
  (keep in mind that this doesn't mean the game is rendered in those aspect ratios, it just means it won't get stretched unnaturally)
- the "modern" non-linear steering curve now supports values up to 200%
- "BACK" button added for sub menus (yes, indeed, the future is here)
- the issue with manual transmission getting stuck fixed(?)
- space in path fixed
- generic fixes


//************************
// x86GP2 0.34
//************************
- file browser improved
- program frame rate and polling rate decoupled, new polling rate setting
- input range limiter added, 0 means off
  - for a more precise value, edit the config
  - together with a low polling rate setting you may be able to get close to the feeling of GP2 running on DOS
- generic fixes


//************************
// x86GP2 0.331
//************************
- online version checker added
- being stuck on the copyright screen fixed(?)
- \ for the drive string fixed
- steering wheel can now also be turned off or made static
- replay desync issue with engine braking solved(?)
- replay desync issue with manual transmission solved(?)
- adjustable clutch disengagment point added
- reworked manual shifting logic
- experimental engine braking removed until further investigation
- generic fixes

//***************************
// x86GP2 0.322 PUBLIC ALPHA
//***************************
- yay

//************************
// x86GP2 0.321
//************************
- the maximum number of axes increased in case they're not reported in order

//************************
// x86GP2 0.32
//************************
- DirectInput API added
- small changes, small fixes

//************************
// x86GP2 0.31
//************************
- issues with H-shifting fixed(?)
- issues with the slip angle screeching sound fixed(?)
- doppler effect added
- more sounds readded
- generic bug and functionality fixes
- [EXPERIMENTAL] engine braking


//************************
// x86GP2 0.3
//************************
- GAME BREAKING wall crash bounce bug FIXED
- the problem with the timing monitor appearing in the mirrors and when looking sideways fixed
- damaged parts now disappear in cockpit view too
- 'accelerate time' reimplemented and can be found in the right click menu, original 'accelerate time' renamed to 'skip to end' making a bug a feature :)
  new 'accelerate time' may get limited by CPU speed as it's a speed-up of the actual game physics and game logic and not a simulation
- visually tripled damaged parts fixed
- hot laps and saved games should be working
- slip angle sound added
- [EXPERIMENTAL] manual H-shifting and stalling added (using them breaks compatibility with hot laps for now)
- [EXPERIMENTAL] rudimentary replay controls added


//************************
// x86GP2 0.25
//************************
- completely reworked and adjustable rear view mirrors
- engine sound for external view reimplemented
- automatically generated track previews (to have a uniform look when custom track loading gets implemented)
- another round of input fixes... fixes?


//************************
// x86GP2 0.22
//************************
- key rebinds fixed
- non-working LCD menu selection cursor reimplemented
- pedal input finally figured out and fixed(?)


//************************
// x86GP2 0.21
//************************
- CTRL+F12 takes beautiful screenshots if you ever need that
- input axis bars flipped for the correct(?) order
- keyboard input has also been abstracted away
- interactive key binds have been added


//************************
// x86GP2 0.2
//************************
- [DEVELOPER] new config file: memwatch.cfg to avoid typing them in every time the program starts
- placeholder front wing (what front wing?) replaced with the final(?) one (nothing's ever final, it just stays that way)
- config is now dynamically recreated (not the most sophisticated config system you've ever seen)
- added an icon to look more professional :)
- x86GP2 has its own menu now (not the most sophisticated menu system you've ever seen)
- x86GP2 also has a convenient right-click menu now
- joystick input has been abstracted away and is available in the x86GP2 options
- [EXPERIMENTAL] the (buggy) TV Window is now exposed to the user (the camera zoom is not applied)


//************************
// x86GP2 0.15
//************************
- rudimentary car engine sound prototype implemented
- curb sound added for the player
- precise occupancy counter fixed
- new config command: audio_masterVolume
- maximum joystick buttons increased to 32 (you could type on that thing)
- advancing during calibration now accepts any joystick button
- number of simultaneous gaming devices increased to 4
- joystick B now also works in the game's controls options
- joystick buttons are now abstracted away from the game, change them in the config
- new config commands: joy_gearUp and joy_gearDown
- joystick config syntax has changed: it takes 2 numbers now, first comes the device, next the axis/button
- mouse support added
- GP2 path now works with or without a slash (/)
- input diagnostics reworked to work better with multiple devices, you can now also check the id of any button pressed


//************************
// x86GP2 0.114
//************************
- control driven calibration fixed
- [DEVELOPER] new console command: memWatch
					syntax: memWatch name address size type
					name: arbitrary text without "", no spaces
					address: an address from IDA
					size: 8 = byte/char, 16 = word/short, 32 = double word/int
					type: u = unsigned, s = signed, x = hex, b = binary


//************************
// x86GP2 0.112
//************************
- drop-down menu in 'advanced control method' fixed


//************************
// x86GP2 0.11
//************************
- 2D car sprite distance raised as performance is not an issue
- buggy tyre turning fixed when playing on a keyboard
- tick based frame time counter replaced with a precise one
- tick based occupancy counter replaced with a precise one
- original pseudo random number generator reenabled


//************************
// x86GP2 0.1
//************************
- erm like... a lot, everything to make it work and more!
- 16:9 widescreen
- visible tyres from the cockpit
- a turning steering wheel
- the ability to look left, right and backwards in the cockpit